<include file="public@header" />
<style type="text/css">
	#goods_list{
		max-height: 240px;
		overflow-x:hidden;
		overflow-y: auto;
	}
</style>
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Liveing/index')}">{:lang('LIVE_STREAM_LIST')}</a></li>
			<li class="active"><a >{:lang('ADD')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Liveing/addPost')}">

            <div class="form-group">
				<label for="input-uid" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('USER_ID')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-uid" name="uid">
				</div>
			</div>
			<div class="form-group">
				<label for="input-live_type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('LIVE_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
                    <select class="form-control" name="live_type" id="live_type">
                        <option value="0">{:lang('LIVE_ROOM')}</option>
                        <option value="1">{:lang('CHAT_ROOM')}</option>
                    </select>
				</div>
			</div>
			<div class="form-group hide" id="voice">
				<label for="input-words" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHAT_ROOM_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
					<select class="form-control" name="voice_type">
                        <option value="0">{:lang('VOICE_CHAT')}</option>
                        <option value="1">{:lang('VIDEO_CHAT')}</option>
                    </select>
				</div>
			</div>
			
            <div class="form-group" id="liveclass">
				<label for="input-type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('LIVE_CATEGORY')}</label>
				<div class="col-md-6 col-sm-10">
                    <select class="form-control" name="liveclassid">
                    	<option value="0">{:lang('DEFAULT_CATEGORY')}</option>
                        <volist name="liveclass" id="v">
                        <option value="{$v['id']}">{$v['name']}</option>
                        </volist>
                    </select>
				</div>
			</div>
            
            <div class="form-group" id="type">
				<label for="input-type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ROOM_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
                    <select class="form-control" name="type" id="cdn">
                        <volist name="type" id="v">
                        <option value="{$key}">{$v}</option>
                        </volist>
                    </select>
				</div>
			</div>

			<div class="form-group" id="goods">
				<label for="input-goodsid" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('RELATED_PRODUCTS')}</label>
				<div class="col-md-6 col-sm-10">
					<p id="goods_list"><input type="text" class="form-control" id="input-goodsid" name="goodsid" readonly></p>
					<input type="button" value="{:lang('SELECT_PRODUCTS')}" id="goods_select">
					<p class="help-block">{:lang('LIVE_ROOM_PRODUCT_LIST')}</p>
				</div>
			</div>
            
            <div class="form-group" id="cdn_switch_1" style="display:none;">
				<label for="input-type_val" class="col-sm-2 control-label"><span class="form-required">*</span>密码或价格</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-type_val" name="type_val">
				</div>
			</div>
            
            
            <div class="form-group">
				<label for="input-pull" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('VIDEO_URL')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-pull" name="pull" value="">{:lang('VIDEO_FORMAT')}: MP4
				</div>
			</div>
            
            <div class="form-group" id="anyway">
				<label for="input-words" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('VIDEO_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
					<select class="form-control" name="anyway">
                        <option value="0">{:lang('PORTRAIT_MODE')}</option>
                        <option value="1">{:lang('LANDSCAPE_MODE')}</option>
                    </select>
				</div>
			</div>
            
			<div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('ADD')}</button>
					<a class="btn btn-default" href="{:url('Liveing/index')}">{:lang('BACK')}</a>
				</div>
			</div>
            
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
	<script src="__STATIC__/js/layer/layer.js"></script>
    <script>
	(function(){
		$("#cdn").on('change',function(){
			var v=$(this).val();
			var b=$("#cdn_switch_1");
			if(v==0){
				b.hide();
				$("#input-type_val").val('');
			}else{
				b.show();
			}
		})

		$("#live_type").on('change',function(){
			var v=$(this).val();
			if(v==0){
				$("#liveclass").show();
				$("#type").show();
				$("#anyway").show();
				$("#goods").show();
				$("#voice").addClass('hide');

			}else{
				$("#liveclass").hide();
				$("#type").hide();
				$("#anyway").hide();
				$("#goods").hide();
				$("#voice").removeClass('hide');

			}
		});

		$("#goods_select").on('click',function(){
			var uid = $("input[name='uid']").val().trim();
			//alert(uid);
			if(!uid){
				layer.msg('{:lang("PLEASE_FILL_USER_ID_FIRST")}');
				return;
			}

			$.ajax({
				type:'post',
				url:'/admin/Liveing/getGoodsList',
				data:{uid:uid},
				dataType:'json',
				async:false,

				success:function(data){
					//console.log(data);
					var code=data.code;
					var info=data.info;
					//console.log(code);
					
					if(code != 0){
						layer.msg(data.msg);
						return;
					}

					//console.log(data.info);
					if(info == false){
						layer.msg('{:lang("NO_PRODUCT_LIST_YET")}');
						return;
					}

					var goods_list='';
					for (var i = 0; i < info.length; i++) {
						goods_list+='<input type="checkbox" name="goodsid[]" data-name="'+info[i].name+'" value="'+info[i].id+'"';
						if(info[i].issale==1){
							goods_list+='checked';
						}
						goods_list+='>'+info[i].name+'（'+info[i].id+'）';
						if(info[i].live_isshow==1){
							goods_list+='【直播间弹窗展示】';
						}
						goods_list+='<br />';
					}

					$("#goods_select").attr('disabled',true).css('color','#CCC');

					$("#goods_list").html(goods_list);


				},
				error:function(e){
					layer.msg('{:lang("FAILED_TO_GET_PRODUCT_LIST")}');
					return;
				}
			});
		});



	})()
	</script>
</body>
</html>